<!DOCTYPE html>
<head>
    <script lang="javascript">
        function testAmbito1 ()
        {
            function creaMensaje() {
               var mensaje = "Mensaje de prueba";
            }
            creaMensaje();
            try{
                console.log(mensaje);
                document.getElementById("result1").innerText = mensaje;
            }
            catch(e)
            {
                document.getElementById("result1").innerText = "La variable mensaje no existe";
            }
        }
        function testAmbito2 ()
        {
            var mensaje = "";
            function creaMensaje() {
               mensaje = "Mensaje de prueba";
            }
            creaMensaje();
            try{
                console.log(mensaje);
                document.getElementById("result2").innerText = mensaje;
            }
            catch(e)
            {
                document.getElementById("result2").innerText = "La variable mensaje no existe";
            }
        }
        function testAmbito3 ()
        {
            var mensaje = "Mensaje inicial";
            function creaMensaje() {
               var mensaje = "Mensaje modificado";
               alert (mensaje);
            }
            creaMensaje();
            try{
                console.log(mensaje);
                document.getElementById("result3").innerText = mensaje;
            }
            catch(e)
            {
                document.getElementById("result3").innerText = "La variable mensaje no existe";
            }
        }

    </script>
</head>
<body>
    <h1>Ambito de variables en javascript</h1>
    <h2>Ámbito local</h2>
    <code>
        function creaMensaje() {<br/>
            var mensaje = “Mensaje de prueba”;<br/>
          }<br/>
          creaMensaje();<br/>
          alert(mensaje);<br/>
    </code>
    <br/>
    <button onclick="testAmbito1()">Probar</button><br/><br/>
    <span id="result1" style="background-color:cornflowerblue;height:20px" >Resultado</span>
    <br/>
    <br/>
    <h2>Ámbito global</h2>
    <code>
        var mensaje ="Mensaje de prueba";
        function creaMensaje() {<br/>
            mensaje = “Mensaje de prueba”;<br/>
          }<br/>
          creaMensaje();<br/>
          alert(mensaje);<br/>
    </code>
    <br/>
    <button onclick="testAmbito2()">Probar</button><br/><br/>
    <span id="result2" style="background-color:cornflowerblue;height:20px" >Resultado</span>
    <br/>
    <br/>
    <h2>Ámbito local y global</h2>
    <code>
        var mensaje ="Mensaje inicial";
        function creaMensaje() {<br/>
            var mensaje = “Mensaje modificado”;<br/>
            alert(mensaje);<br/>
          }<br/>
          creaMensaje();<br/>
          alert(mensaje);<br/>
    </code>
    <br/>
    <button onclick="testAmbito3()">Probar</button><br/><br/>
    <span id="result3" style="background-color:cornflowerblue;height:20px" >Resultado</span>
     

</body>
</html>